/* Global body styles */
body {
    margin:0;
    width: 100%;
    height: 100%;
    font-family: "Josefin Sans";
    font-weight: light;
    transition: background-color 0.15s ease-in;
    overflow: hidden;
    
}

/* Sober day theme */
.sober-day {
    background-color: #CCCCFF;
    color: #180E14;
}
.sober-day path {
    fill: #180E14;
}
rect.sober-day{
    fill: #180E14;
}
rect.sober-night{
    fill: #CCCCFF;
}
/* .sober-day  */
/* Sober night theme */
.sober-night {
    background-color: #180E14;
    color: #CCCCFF;
}
.sober-night path {
    fill: #CCCCFF;
}

/* bright day theme */
.bright-day {
    background-color: #FF8CD1;
    color: #0000FF;
}
.bright-day path {
    fill: #0000FF;
}
rect.bright-day{
    fill: #0000FF;
}
rect.bright-night{
    fill: #FF8CD1;
}
/* .bright-day  */

/* bright night theme */
.bright-night {
    background-color: #0000FF;
    color: #FF8CD1;
}
.bright-night path {
    fill: #FF8CD1;
}


/* Home hi wrapper */
.home-hi-wrap {
    position: absolute;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 620px;
    height: 60px;
}

/* Home subhi wrapper */
.home-subhi-wrap {
    position: absolute;
    margin: auto;
    top: 100px;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 620px;
    height: 60px;
}

/* Home iam wrapper */
.home-iam-wrap {
    position: absolute;
    margin: auto;
    top: 300px;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 520px;
    height: 60px;
}

/* Home links wrapper */
.home-links-wrap {
    position: absolute;
    margin: auto;
    top: 500px;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 520px;
    height: 60px;
}

/* Menu wrapper */
.menu-wrap {
    position: fixed;
    width: 0%;
    height: 100%;
    right: 0;
    top: 0;
    margin: 0;
    padding: 0;
    overflow: hidden;
    transition: width 0.15s ease-in, background-color 0.15s ease-in;
}


/* Menu content */
.menu-content {
    position: relative;
    top: 50%;
    left: 25%;
    transform: translateY(-50%);
    font-size: 12px;
    overflow: hidden;
    transition: width 0.15s ease-in;
}

.menu-wrap h1 {
    margin: 0;
    padding: 10px;
}

.menu-wrap a {
    display: inline-block;
    margin-left: 10px;
    text-decoration: none;
}

.menu-links-wrap {
    display: flex;
    align-items: center;
}

.menu-links-wrap a {
    margin-left: 10px;
    font-size: 16px;
    display: flex;
    align-items: center;
}

.menu-links-wrap a span {
    margin-right: 16px;
}

.open {
    width: 100%;
}

/* Controls wrapper */
.controls-wrap {
    position: absolute;
    left: 25px;
    top: 25px;
    z-index:1;
}

/* Heading styles */
h1 {
    font-family: "Josefin Sans";
    font-size: 36px;
    font-weight: 100;
    text-align: center;
    line-height: 60px;
}

/* Menu point heading */
h1.menu-point {
    text-align: left;
    font-weight: 700;
}
h1.menu-point:hover{
    cursor: pointer;
}

h1.menu-point span {
    font-size: 16px;
    font-weight: 400;
}

/* Subheading styles */
h2 {
    font-family: "Josefin Sans";
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    line-height: 24px;
}

/* Anchor tag styles */
a {
    font-family: "Josefin Sans";
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    line-height: 24px;
    margin-left: 20px;
    transition: color 0.15s ease-in, background-color 0.15s ease-in;
}
a.sober-day {
    color: #180E14;
}

/* Hovered link styles */
.hovered {
    color: #ff0099;
    transform: scale(1.0);
    transform: rotate3d(0, 0.5, 0.25, 10deg);
    cursor: pointer;
}

/* Custom cursor styles */
#cursor {
    position: absolute;
    border-radius: 25px;
    width: 50px;
    height: 50px;
    background-color: #ccccff;
    mix-blend-mode: difference;
    z-index: 3;
    transition: top 0.1s, left 0.1s ;
    pointer-events: none;
}

/* Accent text styles */
.accent {
    font-weight: 700;
    text-align: center;
}

/* Icons container */
.icons-container {
    position: absolute;
    top: 20px;
    right: 20px;
    display: flex;
    justify-content: space-between;
    width: 200px;
}

/* Icon button styles */
.icon-button {
    border: none;
    background-color: transparent;
    cursor: pointer;
    padding: 0;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Language switcher styles */
#lang-switcher {
    font-size: 16px;
}

/* Theme switcher styles */
#theme-switcher {
    fill: none;
    stroke-width: 1.5;
    stroke-linecap: round;
    stroke-linejoin: round;
}

#theme-switcher:hover {
    color: #FF8CD1;
}

/* Hero icon styles */
.heroicon {
    width: 24px;
    height: 24px;
}

/* Color switcher styles */
#color-switcher {
    font-size: 16px;
}

/* Footer styles */
footer {
    position: fixed;
    bottom: 0;
    right: 30px;
    text-align: right;
    font-size: 16px;
}

.icon-button {
    display: inline-block;
    padding: 0;
    border: none;
    background: transparent;
    cursor: pointer;
}

/* Box styles */
.box {
    transform-origin: center center;
    transition: transform 0.15s ease-in;
}






.hireme-perspective-wrapper{
    position: fixed;
    -webkit-perspective: 240px;
    perspective: 240px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* background-color: #0000FF; */
    width:100px;
    height:100px;
}




.hireme-popup {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotateY(-90deg) ;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 1000px;
    height: 600px;
    padding: 20px;
    overflow: hidden;
    border: none;
    background-color: white;
    border-radius: 50px;
    opacity: 0.0;
    transition: left 0.15s ease-in-out, transform 0.15s ease-in-out, opacity 0.15s ease-in-out;
}
.hireme-popup-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}




.knowmore-popup a {
    text-decoration: none;
    width: 200px;
    height: 40px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.knowmore-popup a:last-child {
    margin-bottom: 0;
}

.knowmore-popup a > div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
    height: 60px;
    border-radius: 30px;
    transition: filter 0.15s ease; /* Add this line for smooth transitions */
}
.knowmore-popup a > div:hover {
    filter: drop-shadow(4px 4px 10px rgb(171, 157, 255)); /* Apply a brightness effect on hover */

}


.sober-day .knowmore-popup a {
    color:#CCCCFF;
}
.sober-night .knowmore-popup a {
    color:#180E14;
}
.bright-day .knowmore-popup a {
    color:#5502a8;
}
.bright-night .knowmore-popup a {
    color:#0000ff;
}

/* Sober Day */
.sober-day .knowmore-popup a > div {
    background-color: #180E14;
}

/* Sober Night */
.sober-night .knowmore-popup a > div {
    background-color: #CCCCFF;
}

/* Bright Day */
.bright-day .knowmore-popup a > div {
    background-color: #FFC107;
}

/* Bright Night */
.bright-night .knowmore-popup a > div {
    background-color: #FF5722;
}


.close-popup {
    position: absolute;
    top: 50px;
    right: 50px;
    background: none;
    border: none;
    cursor: pointer;
}

.close-popup svg {
    fill: #fff;
}

.close-popup-hireme {
    position: absolute;
    top: 50px;
    right: 50px;
    background: none;
    border: none;
    cursor: pointer;
}

.close-popup-hireme svg {
    fill: #fff;
}

.close-menu {
    position: absolute;
    top: 200px;
    left: 25%;
    background: none;
    border: none;
}

.sober-day .close-menu svg{
    stroke: #180E14;
}
.sober-night .close-menu svg{
    stroke: #CCCCFF;
}
.bright-day .close-menu svg{
    stroke: #0000ff;
}
.bright-night .close-menu svg{
    stroke: #FF8CD1;
}

.synopsis {
    text-align: center;
    font-size: 24px;
    line-height: 30px;
    margin-bottom: 20px;
}


   
.carousel-nav {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}

.nav-dot {
    width: 10px;
    height: 10px;
    background-color: #ccc;
    border: none;
    border-radius: 50%;
    outline: none;
    cursor: pointer;
}

.nav-dot.active {
    background-color: #999;
}



/* Styles for mobile devices */
@media (max-width: 768px) {
    /* Mobile styles here */


    .knowmore-perspective-wrapper{
        position: fixed;
        -webkit-perspective: 240px;
        perspective: 240px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width:0;
        height:0;
    }


     /* Adjust the size and positioning of the knowmore-perspective-wrapper */
     .knowmore-popup {
        position: fixed;
        /* top: 50%;
        left: 50%; */
        /* transform: translate(-50%, -50%) rotateY(-90deg) ; */
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 330px;
        height: 660px;
        padding: 20px;
        overflow: hidden;
        border: none;
        background-color: white;
        border-radius: 50px;
        opacity: 0.0;
        transition: left 0.15s ease-in-out, transform 0.15s ease-in-out, opacity 0.15s ease-in-out;
    }
    .open-lnks-prsp-wrppr{
        width: 330px;
        height: 660px;
        
    }

    .open-lnkspop {
        transform: translate(-50%, -50%) rotateY(0deg) ;
        opacity: 1.0;
    }
    .knowmore-popup-wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        max-width: 95%;
        max-height:80%;
    }

    .carousel-container {
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none; /* For Firefox */
        max-width: 95%;
        height:auto;
        padding-top: 20px;
        padding-bottom: 40px;
        transition: all 0.05s;
    }
    
    .carousel-container::-webkit-scrollbar {
        display: none; /* For Chrome, Safari, and Edge */
    }
    
    .carousel-section {
        flex: 0 0 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        scroll-snap-align: start;
        flex-grow: 1; 
    }
    .carousel-section .synopsis{
        font-size: 28px;
    }
 
  }
  
  /* Styles for desktop devices */
  @media (min-width: 769px) {
    /* Desktop styles here */


    .knowmore-perspective-wrapper{
        position: fixed;
        -webkit-perspective: 240px;
        perspective: 240px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width:0;
        height:0;
    }


    .knowmore-popup {
        position: fixed;
        /* top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotateY(-90deg) ; */
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 1000px;
        height: 600px;
        padding: 20px;
        overflow: hidden;
        border: none;
        background-color: white;
        border-radius: 50px;
        opacity: 0.0;
        transition: left 0.15s ease-in-out, transform 0.15s ease-in-out, opacity 0.15s ease-in-out;
    }
    .knowmore-popup-wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }


    .open-lnks-prsp-wrppr{
        width: 1000px;
        height: 600px;
    }

    .open-lnkspop {
        transform: translate(-50%, -50%) rotateY(0deg) ;
        opacity: 1.0;
    }

    .carousel-container {
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none; /* For Firefox */
        max-width: 95%;
        height:auto;
        padding-top: 20px;
        padding-bottom: 40px;
        transition: all 0.05s;
    }
    
    .carousel-container::-webkit-scrollbar {
        display: none; /* For Chrome, Safari, and Edge */
    }
    
    .carousel-section {
        flex: 0 0 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        scroll-snap-align: start;
    }
    
 
  }




/* Responsive styles for mobile devices */
@media (max-width: 768px) {

   
   
    /* Home links wrapper */
    .home-links-wrap {
        position: absolute;
        margin: auto;
        top: 500px;
        left: 0;
        bottom: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 320px;
        height: 60px;
    }

    /* Adjust the styles of the main header and introduction */
    .home-hi-wrap {
        margin-top: 200px;
        width: 300px;
        height: 160px;
        /* background-color: red; */
    }
  
    .home-subhi-wrap {
        margin-top: 280px;
        width: 320px;
        height: 60px;
        /* background-color: blue; */
    }
  
    .home-iam-wrap {
        /* margin-top: 40px; */
        /* background-color: green; */
        margin-top:150px;
        width: 400px;
        height: 120px;
    }
  
    /* Adjust the styles of the footer */
    footer {
        position: fixed;
        bottom: 0;
        right: 30px;
        text-align: right;
        font-size: 16px;
    }
  }
  

/* Basic styling for the popup */
.popup {
    visibility: hidden; /* Hide by default */
    position: fixed;
    display:flex;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.15); /* Semi-transparent background */
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.15s ease-in-out, visibility 0.1s ease-in-out;
}

/* Content inside the popup */
.popup-content {
    background-color: #fff;
    padding: 20px;
    /* border-radius: 8px; */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(150px);
    transition: transform 0.5s cubic-bezier(0.15, 1.5, 0.25, 1), opacity 0.15s ease-in-out;
    opacity: 0;
}

/* Show the popup */
.popup.show {
    visibility: visible; /* Make visible */
    
    opacity: 1;
}

.popup.show .popup-content {
    transform: translateY(0); /* Spring up effect */
    opacity: 1;
}

/* Hide with transition */
.popup.hide .popup-content {
    transform: translateY(150px); /* Spring down effect */
    opacity: 0;
}
